Dashboards
Update layout
Replace the grid layout configuration for a dashboard. Each item defines the position and size of an insight card in the grid.
curl -X PUT "https://api.mythic-analytics.com/api/v1/dashboards/example_string/layout" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"layout": [
{
"insight_id": "ins_8kN2mPqR",
"x": 0,
"y": 0,
"w": 6,
"h": 4
}
]
}'
import requests
import json
url = "https://api.mythic-analytics.com/api/v1/dashboards/example_string/layout"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"layout": [
{
"insight_id": "ins_8kN2mPqR",
"x": 0,
"y": 0,
"w": 6,
"h": 4
}
]
}
response = requests.put(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.mythic-analytics.com/api/v1/dashboards/example_string/layout", {
method: "PUT",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"layout": [
{
"insight_id": "ins_8kN2mPqR",
"x": 0,
"y": 0,
"w": 6,
"h": 4
}
]
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"layout": [
{
"insight_id": "ins_8kN2mPqR",
"x": 0,
"y": 0,
"w": 6,
"h": 4
}
]
}`)
req, err := http.NewRequest("PUT", "https://api.mythic-analytics.com/api/v1/dashboards/example_string/layout", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.mythic-analytics.com/api/v1/dashboards/example_string/layout')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Put.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"layout": [
{
"insight_id": "ins_8kN2mPqR",
"x": 0,
"y": 0,
"w": 6,
"h": 4
}
]
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": "null"
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
PUT
/dashboards/{id}/layoutPUT
Security Scheme
Bearer Tokenstring
RequiredAdmin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Admin API key as bearer token. Format:
Bearer YOUR_ADMIN_KEYpath
idstring
RequiredDashboard identifier.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
layoutarray
RequiredGrid layout items defining position and size of each insight.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Path Parameters
idstring
RequiredDashboard identifier.
Body
application/json
layoutarray
RequiredGrid layout items defining position and size of each insight.
Responses
successboolean
datastring
Was this page helpful?
Built with Documentation.AI
Last updated today